Bug 2173029 - User changes to /etc/bluetooth/main.conf are lost on bluez upgrade
Summary: User changes to /etc/bluetooth/main.conf are lost on bluez upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gopal krishna tiwari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-02-23 18:30 UTC by Radek Liška
Modified: 2023-07-21 01:25 UTC (History)
5 users (show)

Fixed In Version: bluez-5.68-1.fc39 bluez-5.68-1.fc38 bluez-5.68-1.fc37
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-01 15:18:08 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Radek Liška 2023-02-23 18:30:21 UTC
Description of problem:

I use a few Bluetooth accessories and for a better user experience modify configuration in /etc/bluetooth/main.conf, namely FastConnectable, ReconnectAttempts and ReconnectIntervals parameters. There's not a more appropriate file I could find that I could put the parameters in instead.

In a Reddit thread[1] I was pointed to a kernel mailing list thread[2] which says

> We already structured that /etc/bluetooth/main.conf is optional and that
> package managers / distros should only install it if they really know what
> they are doing. If an upgrade of a package overwrites /etc/bluetooth/main.conf
> then it is doing something wrong (mind you we don’t install it by default).

My understanding is that, based on that thread, the file should be %config(noreplace) instead of %config.

[1] https://www.reddit.com/r/Fedora/comments/119rz61/how_to_persist_user_changes_to
[2] https://lore.kernel.org/all/3DAED89D-72AC-4D38-A092-D2A52AEEE5BB@holtmann.org/ 


Version-Release number of selected component (if applicable):

N/A


How reproducible:

On every bluez package upgrade that contains changes to main.conf


Steps to Reproduce:
1. Install bluez package if not present yet
2. Make user changes to /etc/bluetooth/main.conf
3. Upgrade bluez package to a version that contains modifications to the file


Actual results:

User changes to main.conf are "lost" (moved to .rpmsave)


Expected results:

User changes to main.conf are preserved throughout package upgrades without further manual actions needed.


Additional info:

N/A

Comment 1 Fedora Update System 2023-07-01 13:51:12 UTC
FEDORA-2023-ffef69842d has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ffef69842d

Comment 2 Fedora Update System 2023-07-01 15:18:08 UTC
FEDORA-2023-ffef69842d has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-07-02 09:02:56 UTC
FEDORA-2023-2876b06aa4 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2876b06aa4

Comment 4 Fedora Update System 2023-07-02 09:03:02 UTC
FEDORA-2023-dc7221a255 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-dc7221a255

Comment 5 Fedora Update System 2023-07-03 01:37:19 UTC
FEDORA-2023-2876b06aa4 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2876b06aa4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2876b06aa4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-07-03 02:06:14 UTC
FEDORA-2023-dc7221a255 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-dc7221a255`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-dc7221a255

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-07-04 01:33:51 UTC
FEDORA-2023-dc7221a255 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2023-07-21 01:25:50 UTC
FEDORA-2023-2876b06aa4 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.